<?xml version="1.0" encoding="UTF-8"?>
<itemizer language-context="xml">

	<item name="built-in.tag.xml.processing-instruction">
		<class>ESXMLItem</class>
		<zone>xml.tag.self-closing.processing-instruction:has-child(name:capture(name))</zone>
	</item>
	
	<item name="built-in.self-closing-tag.xml">
		<zone>xml.tag.open:has-child(name:capture(name), empty-element-marker), xml.tag.self-closing:has-child(name:capture(name)), xml.tag.open:has-child(name:capture(name), self-closing)</zone>
		<class>ESXMLItem</class>
	</item>
	
	<item name="built-in.self-closing-tag.xsl">
		<zone>xml.tag.open:has-child(name:capture(tagname):has-child(namespace[text == 'xsl'], localname:capture(name)), self-closing)</zone>
		<class>ESXSLItem</class>
	</item>

	<item name="built-in.tag.xml.collection">
		<start-zone>xml.tag.open:has-child(name:capture(name))</start-zone>
		<end-zone>xml.tag.close:has-child(name[text == $name.text])</end-zone>
		<subitems>
			<include-root-itemizers/>
		</subitems>
		<class>ESXMLItem</class>
	</item>

	<item name="built-in.tag.xsl.collection">
		<start-zone>xml.tag.open:has-child(name:capture(tagname):has-child(namespace[text == 'xsl'], localname:capture(name)))</start-zone>
		<end-zone>xml.tag.close:has-child(name[text == $tagname.text])</end-zone>
		<subitems>
			<include-root-itemizers/>
		</subitems>
		<class>ESXSLItem</class>
	</item>

	<item name="built-in.comment">
		<class>ESCommentItem</class>
		<zone>xml.comment</zone>
	</item>
	
</itemizer>
